# H248_ServiceChangeResParm Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ServiceChangeResParm:

List of all members.

## Public Types

enum | OptionalFields { e_serviceChangeMgcId, e_serviceChangeAddress, e_serviceChangeVersion, e_serviceChangeProfile, e_timestamp }

## Public Member Functions

| H248_ServiceChangeResParm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_MId | m_serviceChangeMgcId
H248_ServiceChangeAddress | m_serviceChangeAddress
PASN_Integer | m_serviceChangeVersion
H248_ServiceChangeProfile | m_serviceChangeProfile
H248_TimeNotation | m_timestamp

## Member Enumeration Documentation

enum H248_ServiceChangeResParm::OptionalFields

Enumerator:

  e_serviceChangeMgcId |
  e_serviceChangeAddress |
  e_serviceChangeVersion |
  e_serviceChangeProfile |
  e_timestamp |

## Constructor & Destructor Documentation

H248_ServiceChangeResParm::H248_ServiceChangeResParm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ServiceChangeResParm::GetDataLength | ( |  | ) | const

PBoolean H248_ServiceChangeResParm::Decode | ( | PASN_Stream & | strm | ) |

void H248_ServiceChangeResParm::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ServiceChangeResParm::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ServiceChangeResParm::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ServiceChangeResParm::Clone | ( |  | ) | const

## Member Data Documentation

H248_MId H248_ServiceChangeResParm::m_serviceChangeMgcId

H248_ServiceChangeAddress H248_ServiceChangeResParm::m_serviceChangeAddress

PASN_Integer H248_ServiceChangeResParm::m_serviceChangeVersion

H248_ServiceChangeProfile H248_ServiceChangeResParm::m_serviceChangeProfile

H248_TimeNotation H248_ServiceChangeResParm::m_timestamp

The documentation for this class was generated from the following file:

- h248.h